package com.goldenwater.slgc.mapper.efinder;

import com.goldenwater.slgc.entity.efinder.DocFile;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface DocFileMapper {
    /**
     * 查询文件列表
     */
    List<DocFile> selectList(DocFile docFile);

    /**
     * 根据主键查询文件
     */
    DocFile selectById(Long id);

    /**
     * 新增文件
     */
    int insert(DocFile docFile);

    /**
     * 修改文件
     */
    int update(DocFile docFile);

    /**
     * 删除文件
     */
    int deleteById(Long id);

    /**
     * 批量删除文件
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据父ID查询文件列表
     */
    List<DocFile> selectByParentId(Long parentId);
}
